cudaExternalMemoryHandleDesc(3)

NAME
cudaExternalMemoryHandleDesc -

SYNOPSIS

  Data Fields

unsigned long long size
enum cudaExternalMemoryHandleType type
int fd
void * handle
struct {
void * handle
} win32

Detailed Description

External memory handle descriptor

Field Documentation

  int cudaExternalMemoryHandleDesc::fd

File descriptor referencing the memory object. Valid when type is cudaExternalMemoryHandleTypeOpaqueFd

  void* cudaExternalMemoryHandleDesc::handle

Valid NT handle. Must be NULL if 'name' is non-NULL

  unsigned long long cudaExternalMemoryHandleDesc::size

Size of the memory allocation

  enum cudaExternalMemoryHandleType cudaExternalMemoryHandleDesc::type

Type of the handle

  struct { ... } cudaExternalMemoryHandleDesc::win32

Win32 handle referencing the semaphore object. Valid when type is one of the following:

•   cudaExternalMemoryHandleTypeOpaqueWin32

•   cudaExternalMemoryHandleTypeOpaqueWin32Kmt

•   cudaExternalMemoryHandleTypeD3D12Heap

•   cudaExternalMemoryHandleTypeD3D12Resource Exactly one of 'handle' and 'name' must be non-NULL. If type is cudaExternalMemoryHandleTypeOpaqueWin32Kmt then 'name' must be NULL.

Author

Generated automatically by Doxygen from the source code.